name='pnpm'
version='9.4.0'
release='1'
desc='Fast, disk space efficient package manager'
homepage='https://pnpm.io'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('MIT')
provides=('pnpm')
conflicts=('pnpm' 'pnpm-git')

deps=('node-gyp')
build_deps=('git')

sources=("https://ftp5.gwdg.de/pub/linux/archlinux/extra/os/x86_64/pnpm-${version}-${release}-any.pkg.tar.zst")
checksums=('SKIP')

package() {
    install -Dm755 ${srcdir}/usr/lib/node_modules/pnpm/package.json ${pkgdir}/usr/lib/node_modules/pnpm/package.json
    install -Dm755 ${srcdir}/usr/lib/node_modules/pnpm/bin/pnpm.cjs ${pkgdir}/usr/lib/node_modules/pnpm/bin/pnpm.cjs
    install -Dm755 ${srcdir}/usr/lib/node_modules/pnpm/bin/pnpx.cjs ${pkgdir}/usr/lib/node_modules/pnpm/bin/pnpx.cjs
    install -Dm755 ${srcdir}/usr/lib/node_modules/pnpm/dist/pnpm.cjs ${pkgdir}/usr/lib/node_modules/pnpm/dist/pnpm.cjs
    install -Dm755 ${srcdir}/usr/lib/node_modules/pnpm/dist/pnpmrc ${pkgdir}/usr/lib/node_modules/pnpm/dist/pnpmrc
    install -Dm755 ${srcdir}/usr/lib/node_modules/pnpm/dist/worker.js ${pkgdir}/usr/lib/node_modules/pnpm/dist/worker.js
    install -Dm755 ${srcdir}/usr/lib/node_modules/pnpm/dist/scripts/bash.sh ${pkgdir}/usr/lib/node_modules/pnpm/dist/scripts/bash.sh
    install -Dm755 ${srcdir}/usr/lib/node_modules/pnpm/dist/scripts/fish.sh ${pkgdir}/usr/lib/node_modules/pnpm/dist/scripts/fish.sh
    install -Dm755 ${srcdir}/usr/lib/node_modules/pnpm/dist/scripts/zsh.sh ${pkgdir}/usr/lib/node_modul8.15.2es/pnpm/dist/scripts/zsh.sh
    install -Dm755 ${srcdir}/usr/share/licenses/pnpm/LICENSE ${pkgdir}/usr/share/licenses/pnpm/LICENSE
    install -d ${pkgdir}/usr/bin
    ln -s ${pkgdir}/usr/lib/node_modules/pnpm/bin/pnpm.cjs ${pkgdir}/usr/bin/pnpm
    ln -s ${pkgdir}/usr/lib/node_modules/pnpm/bin/pnpx.cjs ${pkgdir}/usr/bin/pnpx
}
