name='python3-hjson'
version='3.1.0'
release='1'
desc='JSON for Humans, allows comments and is less error prone.'
homepage='https://github.com/laktak/hjson-py'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('all')
license=('MIT')
provides=('hjson')
conflicts=('hjson')

deps=(
    'python'
)
build_deps=(
    'python3-build'
    'python3-installer'
    'python3-setuptools'
    'python3-wheel'
)

sources=("https://pypi.io/packages/source/h/hjson/hjson-${version}.tar.gz")
checksums=('SKIP')

build() {
  cd "hjson-${version}"
  python -m build --wheel --no-isolation
}

package() {
  cd "hjson-${version}"
  python -m installer --destdir="$pkgdir" dist/*.whl
  install-license LICENSE.txt ./${name}/LICENSE.txt
}

